version: "3.5"

services:
  runner:
    restart: always
    image: registry.gitlab.com/gitlab-org/gitlab-runner:alpine
    volumes:
      - ./config:/etc/gitlab-runner:z
      - ./data/runner/cache:/cache:z
      - /var/run/docker.sock:/var/run/docker.sock
#    environment:
#      - DOCKER_HOST=tcp://dind:2375

  watchtower:
    image: containrrr/watchtower
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    ports:
      - 127.0.0.1:8080:8080

#  register-runner:
#    restart: 'no'
#    image: registry.gitlab.com/gitlab-org/gitlab-runner:alpine
#    depends_on:
#      - dind
#    environment:
#      - CI_SERVER_URL=${CI_SERVER_URL}
#      - REGISTRATION_TOKEN=${REGISTRATION_TOKEN}
#    command:
#      - register
#      - --non-interactive
#      - --locked=false
#      - --name=${RUNNER_NAME}
#      - --executor=docker
#      - --docker-image=docker:20-dind
#      - --docker-volumes=/var/run/docker.sock:/var/run/docker.sock
#    volumes:
#      - ./config:/etc/gitlab-runner:z
#      - ./data/dind/docker:/var/lib/docker:Z
